1. Arena
Chattabox APIs
  • Updated Module
    • https
      • v2
        • auth
          • sign up
          • sign in
          • get user by refresh token
          • get user by access token
          • sso-apple-callback
        • user
          • get user
          • update user
          • follow user
          • unfollow user
          • block user
          • unblock user
          • get user's posts
          • get user's arenas
          • get arenas user belongs
          • get arenas user owns
          • get arena categories (belonged)
          • get arena categories (owned)
          • get user's interactions
          • get user's bookmarks
          • get user's followees
          • get user's followers
          • get user's referrals
          • get user payment methods
        • users
          • get users
        • arenas
          • get arenas
          • create arena
        • arena
          • update arena
          • get members
          • update member
          • delete member
          • create post
          • get arena
          • get arena posts
          • get fans
          • get moderators
          • get arena restricted posts
          • warn a member
          • block member
          • unblock member
        • posts
          • get posts
          • get trending posts
          • get your-feed posts
        • post
          • flame post
          • unflame post
          • save post
          • unsave post
          • get all participants
          • participate in a post
          • get comments
          • get post
          • update post
          • get opposing participants
          • get supporting participants
          • get option participants
          • comment on a post
          • get opposing comments
          • get supporting comments
          • get flaggers
          • flag post
          • dismiss flags
          • hide post
          • unhide post
        • comment
          • get comment
          • edit comment
          • flag comment
          • flame comment
          • unflame comment
          • save comment
          • unsave comment
          • get replies
          • get flaggers
          • dismiss flags
          • hide comment
          • unhide comment
        • alerts
          • get alerts
        • ad
          • get ad
          • update ad
          • flame ad
          • unflame ad
          • flag ad
          • get flaggers
          • pause or resume ad
          • ad detail analytics
          • ad analytics breakdowns
          • dismiss ad flags
        • ads
          • get ads
          • create campaign ad
          • estimate ad analytics
          • ads dashboard summary
          • ads performance over time
          • ads dashboard campaign table
          • wallet payments summary
          • wallet payment history
        • analytics
          • events tracking
        • arena-categories
          • get arena categories
        • existence
          • check email
          • check username
        • comments
          • get comments
          • comment on a content
        • marked-items
          • get marked-items in arenas you moderate
        • leaderboard
          • get top users
        • signed-urls
          • files
        • subscription
          • premium sub: create
          • premium sub: update
          • premium sub: cancel
        • support
          • send a message
          • get messages
        • admins
          • admin get ads by review tab
          • admin review ad
          • admin get stats
        • webhooks
          • stripe webhook
          • event bridge webhook
        • payment
          • remove user payment method
      • v1
        • Auth
          • Sign Out
          • Refresh Access Token
          • Change password
        • OTP
          • Verify OTP
          • Generate OTP
          • OTP Status
        • User
          • Delete user
          • Get user's followers
          • Get user's followees
          • Get user's referred members
          • Get user's interacted items
          • Get user's bookmarks
          • Flag a user
          • Delete user's picture
        • Arenas
          • Invite users to arenas
        • Arena
          • Get arena
          • Join an arena
          • Leave an arena
          • Add users to arena
          • Remove members from an arena
        • Posts
          • Create a post
        • Post
          • Get a post
          • Update a post
          • Delete a post
          • Flag a post
          • Hide a post
          • Comment on a post
        • Comment
          • Delete a comment
        • Alerts
          • Mark some or all alerts read
        • Flags
          • get flags
        • Faqs
          • get faqs
        • Interests
          • get interests
        • Search
          • get popular search keywords
        • Signed Upload URL
          • get signed url for upload
    • Schemas
      • campaign
        • basic-ad
        • basic-campaign
        • ad-cta
        • full-ad
        • ad-stat-range
        • ad-price
        • ad-billing-rates
      • alert
        • basic-alert
      • leaderboard
        • leaderboard-metric
        • leaderboard-ranking-info
        • basic-leaderboard-item
      • arena
        • arena-member-type
        • basic-arena
        • arena
        • arena-member-permissions
        • basic-arena-member
        • arena-member
      • comment
        • basic-comment
        • sort-comment-by
        • comment-feed-response
      • flag
        • flag-type
        • basic-flag
        • flag-reason
        • basic-item-flagger
        • flagged-item-type
        • basic-flagged-item
      • req-params
        • get-comments-query-identifier
        • get-comments-query-optional
        • get-comments-query
      • req-headers
        • x-user-device
        • x-auth-provider
        • Authorization<access>
        • x-user-location
      • marked-item
        • basic-marked-item
      • file
        • compressed-file
        • upload-file
      • arena-category
        • v2-arena-category
      • server-response
        • get-response-pagination
        • get-response-data-array
        • 200-basic-response
      • subscription
        • premium-subscription-recurrence
        • premium-subscription-provider
      • post
        • post-link-req-body
        • post-status
        • post-type
        • basic-post
        • debate-argument-type
        • post-feed-response
      • time
        • iso-date-time
      • user
        • user-leaderboard-map
        • basic-user
        • user-role
        • linked-account-props
        • user
        • user-account
        • user-location
        • user-location-country
        • user-location-country-code
        • user-payment-method
      • ads
        • ads-analytics-summary
        • ads-timeseries-point
        • ads-campaign-row
        • ads-payment-summary
        • ads-payment-row
      • ad
        • ad-analytics-metric
        • ad-analytics-summary
        • ad-placement-breakdown-row
        • ad-audience-breakdown-row
        • ad-device-breakdown-row
        • ad-analytics-breakdowns
  • Old Data
    • https
      • v1
        • Auth
          • Sign Up
          • Sign In
          • Sign Out
          • Refresh Access Token
          • Get user by token
          • Change password
        • OTP
          • Verify OTP
          • Generate OTP
          • OTP Status
        • User
          • Get user
          • Get user by token
          • Update user
          • Get user's followers
          • Get user's followees
          • Get user's referred members
          • Get user's interacted items
          • Get user's bookmarks
          • Flag a user
          • Follow user
          • Unfollow user
          • Block a user
          • Unblock a user
          • Delete user's picture
          • Delete user
        • Users
          • Get users
        • Arenas
          • Get arenas
          • Create an arena
          • Invite users to arenas
        • Arena
          • Get arena
            GET
          • Update arena
            PUT
          • Join an arena
            POST
          • Leave an arena
            POST
          • Get arena members
            GET
          • Add users to arena
            POST
          • Remove members from an arena
            DELETE
          • Update an arena member
            PUT
        • Posts
          • Get posts
          • Create a post
        • Post
          • Get a post
          • Update a post
          • Delete a post
          • Flag a post
          • Flame a post
          • Unflame a post
          • Save a post
          • Unsave a post
          • Hide a post
          • Get post participants
          • Participate in a post
          • Get post comments
          • Comment on a post
        • Comment
          • Get comment
          • Delete a comment
          • Flag a comment
          • Flame a comment
          • Unflame a comment
          • Save a comment
          • Unsave a comment
        • Alerts
          • Get user's alerts
          • Mark some or all alerts read
        • Flags
          • get flags
        • Faqs
          • get faqs
        • Interests
          • get interests
        • Search
          • get popular search keywords
        • Signed Upload URL
          • get signed url for upload
      • v2
        • ad
          • get ad
          • flame ad
          • unflame ad
          • flag ad
          • get flaggers
        • ads
          • get ads
        • alerts
          • get alerts
        • analytics
          • events tracking
        • arena
          • create post
          • get arena
          • get arena posts
          • get fans
          • get members
          • get moderators
          • update arena
          • get arena restricted posts
          • warn a member
          • update member
          • delete member
          • block member
          • unblock member
        • arenas
          • get arenas
          • create arena
        • arena-categories
          • get arena categories
        • auth
          • get user by access token
          • get user by refresh token
          • sign in
          • sign up
          • sso-apple-callback
        • comment
          • get comment
          • get replies
          • edit comment
          • flame comment
          • unflame comment
          • save comment
          • unsave comment
          • get flaggers
          • flag comment
          • dismiss flags
          • hide comment
          • unhide comment
        • comments
          • get comments
          • comment on a content
        • existence
          • check email
          • check username
        • leaderboard
          • get top users
        • marked-items
          • __read me
          • get marked-items in arenas you moderate
        • post
          • get post
          • flame post
          • unflame post
          • update post
          • participate in a post
          • get all participants
          • get opposing participants
          • get supporting participants
          • get option participants
          • save post
          • unsave post
          • get comments
          • comment on a post
          • get opposing comments
          • get supporting comments
          • get flaggers
          • flag post
          • dismiss flags
          • hide post
          • unhide post
        • posts
          • get posts
          • get trending posts
          • get your-feed posts
        • signed-urls
          • files
        • subscription
          • premium sub: create
          • premium sub: update
          • premium sub: cancel
        • support
          • send a message
          • get messages
        • user
          • get user
          • get user's posts
          • get user's arenas
          • get arenas user belongs
          • get arenas user owns
          • get arena categories (belonged)
          • get arena categories (owned)
          • update user
          • follow user
          • unfollow user
          • block user
          • unblock user
          • get user's interactions
          • get user's bookmarks
          • get user's followees
          • get user's followers
          • get user's referrals
          • get user payment methods
        • users
          • get users
    • Schemas
      • v2
        • alert
          • basic-alert
        • arena
          • arena-member-type
          • basic-arena
          • arena
          • arena-member-permissions
          • basic-arena-member
          • arena-member
        • arena-category
          • v2-arena-category
        • campaign
          • basic-ad
          • basic-campaign
          • ad-cta
          • full-ad
        • comment
          • basic-comment
          • sort-comment-by
          • comment-feed-response
        • file
          • compressed-file
          • upload-file
        • flag
          • flag-type
          • basic-flag
          • flag-reason
          • basic-item-flagger
          • flagged-item-type
          • basic-flagged-item
        • leaderboard
          • leaderboard-metric
          • leaderboard-ranking-info
          • basic-leaderboard-item
        • marked-item
          • basic-marked-item
        • post
          • post-link-req-body
          • post-status
          • post-type
          • basic-post
          • debate-argument-type
          • post-feed-response
        • req-headers
          • x-user-device
          • x-auth-provider
          • Authorization<access>
          • x-user-location
        • req-params
          • get-comments-query-identifier
          • get-comments-query-optional
          • get-comments-query
        • server-response
          • get-response-pagination
          • get-response-data-array
          • 200-basic-response
        • subscription
          • premium-subscription-recurrence
          • premium-subscription-provider
        • time
          • iso-date-time
        • user
          • user-leaderboard-map
          • basic-user
          • user-role
          • linked-account-props
          • user
          • user-account
          • user-location
          • user-location-country
          • user-location-country-code
          • user-payment-method
  1. Arena

Update arena

Deprecated
prod-v1
https://api.chattabox.com/v1
prod-v1
https://api.chattabox.com/v1
PUT
/arena/{id}

Request

Path Params

Header Params

Body Params multipart/form-data

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.chattabox.com/v1/arena/' \
--header 'Authorization: Bearer some-random-token' \
--form 'name=""' \
--form 'description=""' \
--form 'coverFile=@""' \
--form 'coverSrc=""' \
--form 'deactivate=""' \
--form 'guidelines=""'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "success": true,
    "statusCode": 200,
    "data": {
        "id": "cm1ngo6io0000qwv3am7h3ij4",
        "name": "Hiseous Umbrella",
        "dateCreated": "2024-09-29 11:51:58",
        "owner": {
            "id": "cm1n5ubk200008ov3f8907ugy",
            "displayName": "Hiseous Hiseous",
            "imageSrc": "https://lh3.googleusercontent.com/a/ACg8ocICrDCtTUBH6BWXwWnRJkBHknyk9iHBfjupK_mhZrdj13z0EQ=s96-c",
        },
        "members": [
            {
                "id": "cm1n5ubk200008ov3f8907ugy",
                "displayName": "Hiseous Hiseous",
                "imageSrc": "https://lh3.googleusercontent.com/a/ACg8ocICrDCtTUBH6BWXwWnRJkBHknyk9iHBfjupK_mhZrdj13z0EQ=s96-c",
                "dateJoined": "2024-09-29 11:51:58"
            }
        ],
        "description": "Sentiments two occasional affronting solicitude travelling and one contrasted. Fortune day out married parties. Happiness remainder joy but earnestly for off. Took sold add play may none him few. If as increasing contrasted entreaties be. Now summer who day looked our behind moment coming. Pain son rose more park way that. An stairs as be lovers uneasy.",
        "guidelines": "Compliment interested discretion estimating on stimulated apartments oh. Dear so sing when in find read of call. As distrusts behaviour abilities defective is. Never at water me might. On formed merits hunted unable merely by mr whence or. Possession the unpleasing simplicity her uncommonly.\r\n\r\nGay one the what walk then she. Demesne mention promise you justice arrived way. Or increasing to in especially inquietude companions acceptance admiration. Outweigh it families distance wandered ye an. Mr unsatiable at literature connection favourable. We neglected mr perfectly continual dependent.\r\n\r\nStyle too own civil out along. Perfectly offending attempted add arranging age gentleman concluded. Get who uncommonly our expression ten increasing considered occasional travelling. Ever read tell year give may men call its. Piqued son turned fat income played end wicket. To do noisy downs round an happy books.\r\n\r\nSavings her pleased are several started females met. Short her not among being any. Thing of judge fruit charm views do. Miles mr an forty along as he. She education get middleton day agreement performed preserved unwilling. Do however as pleased offence outward beloved by present. By outward neither he so covered amiable greater. Juvenile proposal betrayed he an informed weddings followed. Precaution day see imprudence sympathize principles. At full leaf give quit to in they up.",
        "coverImageSrc": "https://s3.eu-north-1.amazonaws.com/api.sqabl.com/arenas/cm1ngo6io0000qwv3am7h3ij4/cover/cover-image.jpg"
    }
}
Modified at 2025-06-27 09:22:42
Previous
Get arena
Next
Join an arena
Built with